Skip to main content
用户画像

更新画像模板

更新画像模板的名称、描述或策略版本

PATCH
/profile_schemas/{profile_schema_id}
cURL
curl --request PATCH \
  --url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas/{profile_schema_id}' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "plan_version": "Pro"
}
'
更新画像模板。修改 plan_version 后,新写入的记忆遵循新策略版本规则,已写入的记忆不受影响。

请求参数

参数类型必填说明
profile_schema_idstring画像模板 ID(路径参数)
namestring更新后的模板名称
descriptionstring更新后的模板描述
plan_versionstring更新策略版本,ProLite

代码示例

cURL
curl -X PATCH "https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas/{profile_schema_id}" \
  --header "Authorization: Bearer $DASHSCOPE_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
    "name": "更新后的画像名称",
    "plan_version": "Lite"
  }'
删除模板使用 DeleteProfileSchema

Authorizations

string
header
required

Path Parameters

string
required

画像模板 ID

Body

application/json
string

更新后的模板名称

string

更新后的模板描述

enum<string>

更新策略版本

Pro,Lite

Response

200-成功

成功

Managed Agent API
Sandbox API
Flow Agent API
RAG API
Connector API
框架集成
  • 框架
Assistant API(下线中)
  • 概览